@ECHO OFF
CLS
:: 312UPD.BAT
:: by David J. Green, MCNE/CNI [CIS:76734,263]
:: Ver. 1.1  -  6/28/96
::
:: Copies updates from various update files to NetWare 3.12 servers
:: Update kits include: 312PT8 FIL376 LOG376 MAP312 MON176 PS3X02 PU3X01
::       RCONSL TCP31A VRPUP1
:: Assumes: 1) sub-directories listed above exist immediately below current
:: directory; 2) you have an attachment to the server to be updated; 3) you
:: have a Search Map or PATH to the SYS:PUBLIC directory of a NW 4.10 server.
:: ** If you are accessing SYS:PUBLIC on a NW 3.1x server, you must change the
:: FLAG commands in the :REFLAG section to use SRO instead of SHRO.**

:CHKSERVER
IF "%1"=="" GOTO :NOSERVER
IF "%1"=="/?" GOTO :NOSERVER
ECHO    This procedure will copy updated NLMs from several update kits to
echo NW 3.12 server %1.  This includes new PSERVER, TCPIP, and VREPAIR NLMs, 
echo as well as several NetWare DOS utilities.  Backups will be made
echo of the current NLMs and utilities before the updates are applied.
ECHO This procedure assumes a Search Mapped drive points to the SYS:PUBLIC
echo directory on a NetWare 4.1x server; if not, edit the FLAG commands for
echo the correct syntax for a 3.1x server (FLAG filename SRO).
echo 
echo    To halt this procedure, press [Ctrl-C] now; to continue,
pause

:START
echo 
ECHO   Flagging files Read-Write . . .
FLAG %1\SYS:SYSTEM\*.NLM RW /C
IF ERRORLEVEL==1 GOTO :NOATTACH
FLAG %1\SYS:SYSTEM\*.BAK RW /C
FLAG %1\SYS:SYSTEM\*.NAM RW /C
FLAG %1\SYS:PUBLIC\*.EXE RW /C
FLAG %1\SYS:LOGIN\*.EXE RW /C
FOR %%I IN (PCONSOLE PRINTCON RPRINTER) DO FLAG %1\SYS:PUBLIC\*.HLP RW /C

:MAKEBAKS
ECHO 
ECHO   Making backups of current NLMs . . .
FOR %%I IN (MONITOR PSERVER VREPAIR) DO NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (BOOTPFWD IPCONFIG IPFLT NWSNUT PING SNMP) DO IF EXIST %1\SYS:SYSTEM\%%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (TCPCFG TCPCON TCPIP TPING TUI) DO IF EXIST %1\SYS:SYSTEM\%%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK

ECHO 
ECHO   Making backups of current PUBLIC utilities . . .
FOR %%I IN (FILER LOGIN MAP RCONSOLE SYSCON) DO NCOPY %1\SYS:PUBLIC\%%I.EXE %1\SYS:PUBLIC\%%I.BAK
FOR %%I IN (PSERVER RPRINTER CAPTURE PCONSOLE PRINTCON PRINTDEF PSC) DO NCOPY %1\SYS:PUBLIC\%%I.EXE %1\SYS:PUBLIC\%%I.BAK
FOR %%I IN (RPRINTER PCONSOLE PRINTCON) DO NCOPY %1\SYS:PUBLIC\%%I.HLP %1\SYS:PUBLIC\%%I.ORG
IF EXIST %1\SYS:SYSTEM\MAC.NAM NCOPY MAC.NAM %1\SYS:SYSTEM\MAC.BAK

ECHO 
ECHO   Making backups of current LOGIN utilities . . .
NCOPY %1\SYS:LOGIN\LOGIN.EXE %1\SYS:LOGIN\LOGIN.BAK

:COPYNEW
ECHO   Copying new NLMs to server %1 . . .
FOR %%I IN (MON176 PS3X02 TCP31A) DO NCOPY %%I\*.NLM %1\SYS:SYSTEM
NCOPY VRPUP1\312\VREPAIR.NLM %1\SYS:SYSTEM
NCOPY NAM312\MAC.NAM %1\SYS:SYSTEM
FOR %%I IN (312PT8) DO NCOPY %%I\NATIVE\OTHER\AUTO\*.NLM %1\SYS:SYSTEM

ECHO   Copying new Utilities to server %1 . . .
FOR %%I IN (FIL376 LOG376 MAP312 PS3X02 PU3X01 RCONSL SYS376) DO NCOPY %%I\*.EXE %1\SYS:PUBLIC
FOR %%I IN (PS3X02 PU3X01) DO NCOPY %%I\*.HLP %1\SYS:PUBLIC
NCOPY LOG376\LOGIN.EXE %1\SYS:LOGIN

:REFLAG
ECHO   Re-flagging files Shareable Read-only . . .
FLAG %1\SYS:SYSTEM\*.NLM SHRO /C
FLAG %1\SYS:PUBLIC\*.EXE SHRO /C
FOR %%I IN (PCONSOLE PRINTCON RPRINTER) DO FLAG %1\SYS:PUBLIC\*.HLP SHRO /C
FLAG %1\SYS:LOGIN\*.EXE SHRO
GOTO DONE

:NOSERVER
ECHO   You must specify a server name to update.  The correct syntax is:
echo        312UPD servername      where  "servername" is the name of the
echo   file server you want to update.  Eg., 312UPD SRVR1
GOTO END

:NOATTACH
ECHO   You do not have an attachment to server %1.  You must be logged in
echo or attached to this server in order to run this procedure.  This can be
echo done via the MAP command, as in: MAP Q:=%1\SYS:SYSTEM
echo You will be prompted for a userid & password for the %1 server.
GOTO END

:DONE
ECHO 
ECHO   Updates of NLMs and Utilities completed!
ECHO 
ECHO   You should also run the INSTALL.EXE utility for the latest version of
ECHO   the CLIB.NLM and associated library NLMs (currently LIBUP8), as well
ECHO   as the STRTL5, SMSUP5, and LANDR6 update kits (via STRSMS3.BAT).  In
ECHO   addition, you should apply the NW 3.12 Startup patches in 312PT8 via
ECHO   the NetWare 3.12 INSTALL.NLM.  Finally, if you are loading MAC.NAM from
ECHO   your STARTUP.NCF file, copy the new MAC.NAM from the NAM312 patch kit
ECHO   to your server's startup directory  (e.g., C:\SERVER.312).

:END

