@ECHO OFF
CLS
:: 41UPD.BAT
:: by David J. Green, MCNE/CNI [CIS:76734,263]
:: ver. 1.1b  -  7/2/96
::
:: Copies updates from various update files to NetWare 4.10 servers
:: Update kits include: 41FILR 41NDIR 41NDS9 41RTR3 LOG412 INS224 MACPT1
::   MAP412 PS4X03 PU4X03 TCP41B
:: Assumes: 1) sub-directories named above exist immediately below current
:: directory; 2) you have an attachment to the server to be updated; 3) you
:: have a Search Map or PATH to the SYS:PUBLIC directory of a NW 4.10 server;
:: 4) the original self-extracting ZIP files (e.g., 41NDIR.EXE) are NOT in
:: the update sub-directories (many will be copied as well!).

:CHKSERVER
IF "%1"=="" GOTO :NOSERVER
IF "%1"=="/?" GOTO :NOSERVER
ECHO    This procedure will copy updated NLMs from several update kits to
echo NW 4.10 server %1.  This includes new DS and DSREPAIR NLMs, several 
echo other NLMS, and several NetWare DOS utilities.  Backups will be made
echo of the current NLMs and utilities before the updates are applied.
echo 
echo    To halt this procedure, press [Ctrl-C] now; to continue,
pause

:START
FLAG %1\SYS:SYSTEM\*.NLM RW /C
IF ERRORLEVEL==1 GOTO :NOATTACH
FLAG %1\SYS:SYSTEM\*.BAK RW /C
FLAG %1\SYS:SYSTEM\NLS\4\*.MSG RW /C
FOR %%I IN (FILER NDIR LOGIN MAP CAPTURE) DO FLAG %1\SYS:PUBLIC\%%I.EXE RW /C
FOR %%I IN (NDIR LOGIN MAP CAPTURE) DO FLAG %1\SYS:PUBLIC\NLS\ENGLISH\%%I.MSG RW /C
FOR %%I IN (LOGIN MAP) DO FLAG %1\SYS:LOGIN\%%I.EXE RW
FOR %%I IN (LOGIN MAP) DO FLAG %1\SYS:LOGIN\NLS\ENGLISH\%%I.MSG RW

:MAKEBAKS
ECHO 
ECHO   Making backups of current NLMs and MSG files . . .
FOR %%I IN (ADSP AURP APPLETLK INETCFG IPXCON IPXCFG IPXRTRNM) DO NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
NCOPY %1\SYS:SYSTEM\DS*.NLM %1\SYS:SYSTEM\DS*.BAK
FOR %%I IN (INSTALL PSERVER BOOTPFWD TCPCFG TCPIP) DO NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (APPLETLK ADSP AURP) DO NCOPY %1\SYS:SYSTEM\NLS\4\%%I.MSG %1\SYS:SYSTEM\NLS\4\%%I.BAK

ECHO 
ECHO   Making backups of current PUBLIC utilities and MSG files . . .
FOR %%I IN (FILER NDIR LOGIN MAP CAPTURE) DO NCOPY %1\SYS:PUBLIC\%%I.EXE %1\SYS:PUBLIC\%%I.BAK
FOR %%I IN (NDIR LOGIN MAP CAPTURE) DO NCOPY %1\SYS:PUBLIC\NLS\ENGLISH\%%I.MSG %1\SYS:PUBLIC\NLS\ENGLISH\%%I.BAK
FOR %%I IN (LOGIN MAP) DO NCOPY %1\SYS:LOGIN\%%I.EXE %1\SYS:LOGIN\%%I.BAK
FOR %%I IN (LOGIN MAP) DO NCOPY %1\SYS:LOGIN\NLS\ENGLISH\%%I.MSG %1\SYS:LOGIN\NLS\ENGLISH\%%I.BAK

:COPYNEW
ECHO   Copying new NLMs to server %1 . . .
FOR %%I IN (41NDS9 41RTR3 INS224 PS4X03) DO NCOPY %%I\*.NLM %1\SYS:SYSTEM
NCOPY TCP41B\4\*.NLM %1\SYS:SYSTEM
FOR %%I IN (41RTR3) DO NCOPY %%I\*.MSG %1\SYS:SYSTEM\NLS\4
NCOPY MACPT1\AURP.NLM %1\SYS:SYSTEM
NCOPY MACPT1\AURP.MSG %1\SYS:SYSTEM\NLS\4

ECHO   Copying new Utilities to server %1 . . .
FOR %%I IN (41FILR 41NDIR LOG412 MAP412 PU4X03) DO NCOPY %%I\*.EXE %1\SYS:PUBLIC
FOR %%I IN (41NDIR LOG412 MAP412 PU4X03) DO NCOPY %%I\*.MSG %1\SYS:PUBLIC\NLS\ENGLISH
FOR %%I IN (LOG412 MAP412) DO NCOPY %%I\*.EXE %1\SYS:LOGIN
FOR %%I IN (LOG412 MAP412) DO NCOPY %%I\*.MSG %1\SYS:LOGIN\NLS\ENGLISH

:REFLAG
ECHO   Re-flagging files Shareable Read-only . . .
FLAG %1\SYS:SYSTEM\*.NLM SHRO /C
FLAG %1\SYS:SYSTEM\NLS\4\*.MSG SHRO /C
FOR %%I IN (FILER NDIR LOGIN MAP CAPTURE) DO FLAG %1\SYS:PUBLIC\%%I.EXE SHRO /C
FOR %%I IN (NDIR LOGIN MAP CAPTURE) DO FLAG %1\SYS:PUBLIC\NLS\ENGLISH\%%I.MSG SHRO /C
FOR %%I IN (LOGIN MAP) DO FLAG %1\SYS:LOGIN\%%I.EXE SHRO
FOR %%I IN (LOGIN MAP) DO FLAG %1\SYS:LOGIN\NLS\ENGLISH\%%I.MSG SHRO
GOTO DONE

:NOSERVER
ECHO   You must specify a server name to update.  The correct syntax is:
echo        41UPD servername      where  "servername" is the name of the
echo   file server you want to update.  Eg., 41UPD SRVR1
GOTO END

:NOATTACH
ECHO   You do not have an attachment to server %1.  You must be logged in
echo or attached to this server in order to run this procedure.  This can be
echo done via the MAP command, as in: MAP Q:=%1\SYS:SYSTEM
echo You will be prompted for a userid & password for the %1 server.
GOTO END

:DONE
ECHO 
ECHO   Updates of NLMs and Utilities completed!
ECHO   You should also run the INSTALL.EXE utility for the latest version of
ECHO   the CLIB.NLM and associated library NLMs (currently LIBUP8), as well
ECHO   as the STRSMS4.BAT to install the updates from the STRTL5, SMSUP5,
ECHO   CDUP3, and LANDR6 update kits.  Remember to install the 410PT3 patch
ECHO   kit using INSTALL.NLM as well.
GOTO END

:END

