@ECHO OFF
CLS
:: STRSMS3.BAT
:: by David J. Green, MCNE/CNI [CIS:76734,263]
:: Ver 1.1  -  6/28/96
::
:: Copies updates from CDUP4, LANDR6, SBACK6, SMSUP5, & STRTL5 to NetWare
:: 3.12 servers after making backups of the files to be replaced.  Assumes:
:: 1) sub-directories listed above exist immediately below current directory; 
:: 2) you have an attachment to the server to be updated; 3) you have a 
:: Search Map or PATH to the SYS:PUBLIC directory of a NW 4.10 server.
:: ** If you are accessing SYS:PUBLIC on a NW 3.1x server, you must change 
:: the FLAG commands in the :REFLAG section to use SRO instead of SHRO. **

:CHKSERVER
IF "%1"=="" GOTO :NOSERVER
IF "%1"=="/?" GOTO :NOSERVER
ECHO    This procedure will copy updated NLMs from the CDUP4, LANDR6, SBACK6,
echo STRTL5, and SMSUP5 update kits to NW 3.12 server %1.  This includes new
echo STREAMS,SPXS, IPXS, TLI, and SMDR NLMs, as well as new TSAs for backups.
ECHO This procedure assumes a Search Mapped drive points to the SYS:PUBLIC
echo directory on a NetWare 4.1x server; if not, edit the FLAG commands for
echo the correct syntax for a 3.1x server (FLAG filename SRO).
echo 
echo To halt this procedure, press [Ctrl-C] now; to continue,
pause

:START
FLAG %1\SYS:SYSTEM\*.NLM RW /C
IF ERRORLEVEL==1 GOTO :NOATTACH
IF NOT EXIST %1\SYS:SYSTEM\NLS\4\*.MSG MD %1\SYS:SYSTEM\NLS
IF NOT EXIST %1\SYS:SYSTEM\NLS\4\*.MSG MD %1\SYS:SYSTEM\NLS\4
IF EXIST %1\SYS:SYSTEM\NLS\4\*.MSG FLAG %1\SYS:SYSTEM\NLS\4\*.MSG RW /C
IF EXIST %1\SYS:SYSTEM\TAPEDAI.DDI FLAG %1\SYS:SYSTEM\TAPEDAI.DDI RW

:MAKEBAKS
ECHO 
ECHO   Making backups of current NLMs . . .
FOR %%I IN (IPXS SMDR STREAMS TLI WSMAN) DO IF EXIST %%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
NCOPY %1\SYS:SYSTEM\SPX*.NLM %1\SYS:SYSTEM\SPX*.BAK
NCOPY %1\SYS:SYSTEM\TSA*.NLM %1\SYS:SYSTEM\TSA*.BAK
FOR %%I IN (TOKENTSM ETHERTSM FDDITSM RXNETTSM MSM MSM31X) DO IF EXIST %%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (CDROM NWPA NWPALOAD) DO IF EXIST %%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (SBACKUP SMSDI) DO IF EXIST %%I.NLM NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
FOR %%I IN (TAPEDAI) DO IF EXIST %%I.DSK NCOPY %1\SYS:SYSTEM\%%I.NLM %1\SYS:SYSTEM\%%I.BAK
IF EXIST %1\SYS:SYSTEM\IDEATA.HAM NCOPY %1\SYS:SYSTEM\IDEATA.HAM %1\SYS:SYSTEM\IDEATA.BAK
IF EXIST %1\SYS:SYSTEM\IDE*.CDM NCOPY %1\SYS:SYSTEM\IDE*.CDM %1\SYS:SYSTEM\IDE*.BAK

:COPYNEW
ECHO   Copying new NLMs to server %1 . . .

ECHO 
ECHO   Copying NLMs from CDUP4 to server %1 . . .
FOR %%I IN (CDROM NWPA NWPALOAD) DO NCOPY CDUP4\%%I.NLM %1\SYS:SYSTEM\%%I.NLM
NCOPY CDUP4\IDE*.*  %1\SYS:SYSTEM
NCOPY CDUP4\NETWARE.312\*.NLM %1\SYS:SYSTEM

ECHO 
ECHO   Copying NLMs from LANDR6 to server %1 . . .
FOR %%I IN (TOKENTSM ETHERTSM FDDITSM RXNETTSM) DO NCOPY LANDR6\%%I.NLM %1\SYS:SYSTEM\%%I.NLM
NCOPY LANDR6\31X\MSM31X.NLM %1\SYS:SYSTEM\MSM.NLM

ECHO 
ECHO   Copying NLMs from SBACK6 to server %1 . . .
NCOPY SBACK6\31X\*.NLM %1\SYS:SYSTEM
NCOPY SBACK6\COMMON\TAPEDAI.* %1\SYS:SYSTEM
NCOPY SBACK6\LANGUAGE\ENGLISH\*.MSG %1\SYS:SYSTEM\NLS\4

ECHO 
ECHO   Copying NLMs from SMSUP5 to server %1 . . .
NCOPY SMSUP5\3X\TSA312.NLM %1\SYS:SYSTEM\TSA312.NLM
NCOPY SMSUP5\COMMON\*.NLM %1\SYS:SYSTEM
FOR %%I IN (SMDR TSA312 TSADOS) DO NCOPY SMSUP5\LANGUAGE\ENGLISH\%%I.MSG %1\SYS:SYSTEM\NLS\4\%%I.MSG

ECHO 
ECHO   Copying NLMs from STRTL5 to server %1 . . .
FOR %%I IN (IPXS PM312 SPXS SPXCONFG SPXWDOG STREAMS TLI) DO NCOPY STRTL5\3.1X\%%I.NLM %1\SYS:SYSTEM
NCOPY STRTL5\3.1X\SPXS.MSG %1\SYS:SYSTEM\NLS\4\SPXS.MSG

:REFLAG
ECHO   Re-flagging files Shareable Read-only . . .
FLAG %1\SYS:SYSTEM\*.NLM SHRO /C
FLAG %1\SYS:SYSTEM\NLS\4\*.MSG SHRO /C
GOTO DONE

:NOSERVER
ECHO   You must specify a server name to update.  The correct syntax is:
echo        STRSMS3 servername      where  "servername" is the name of the
echo   file server you want to update.  Eg., STRSMS3 SRVR1
GOTO END

:NOATTACH
ECHO   You do not have an attachment to server %1.  You must be logged in
echo or attached to this server in order to run this procedure.  This can be
echo done via the MAP command, as in: MAP Q:=%1\SYS:SYSTEM
echo You will be prompted for a userid & password for the %1 server.
GOTO END

:DONE
ECHO   Update of NLMs completed!
ECHO      You should run the INSTALL.EXE utility for the latest version of
ECHO   the CLIB.NLM and associated library NLMs (currently LIBUP8).  Also,
ECHO   install the latest NW 3.12 patches (currently in 312PT8.EXE), especially
ECHO   if you are using Novell's CDROM.NLM on your server.  Finally, run the
ECHO   312UPD.BAT procedure to apply the latest updates to NW 3.12 NLMs and
ECHO   PUBLIC executable programs.

:END

